/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2010.  All Rights Reserved.
 * 
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
(function() {

dojo.provide("carter.ui.editors.Model");

dojo.require("rmps.core.resource.Resource");
dojo.require("carter.ui.utils");

var Utils = carter.ui.utils;

dojo.declare("carter.ui.editors.Model", null, {

	name: null,
	domainName: null,
	
	constructor: function(){
	},
	
	getStorageDomainName: function(){
		return this.domainName + Utils.DOUBLEDASH + this.name;
	},
	
	parseStorageDomainName: function(storageDomainName){
		var idx = storageDomainName.indexOf(Utils.DOUBLEDASH);
		if( idx >= 0 )
			this.domainName = storageDomainName.substr(0, idx);
		else
			this.domainName = storageDomainName;
	}
	
});

})();