/*******************************************************************************
 * Licensed Materials - Property of IBM Copyright IBM Corp. 2012. All
 * Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 ******************************************************************************/

dojo.provide("carter.ui.grid.MatrixPage");
dojo.require( "carter.ui.grid.GridEditor" );

(function() {

	dojo.declare("carter.ui.grid.MatrixPage", [carter.ui.grid.GridEditor], {
        
        constructor: function(){
        },
        
        postCreate: function() {
            this.resourceInfo = this.editor.editorInput.resourceInfo;
            this.gridType = "MATRIX";
            this.resize({w:1200,h:200});//first set big height so matrix will be created
            dojo.connect("onresize", dojo.hitch(this, this.resizeTimeOut));
            this.viewGrid();
		}
      });
    
})();
