/*******************************************************************************
* Licensed Materials - Property of IBM
* Copyright IBM Corp. 2009, 2010.  All Rights Reserved.
* 
* US Government Users Restricted Rights - Use, duplication or disclosure
* restricted by GSA ADP Schedule Contract with IBM Corp.
*******************************************************************************/
(function() {
    dojo.provide("carter.ui.grid.TableWidget");

	dojo.require("dojo.i18n");
	dojo.require("carter.ui.grid.GridWidget");	
		
	dojo.declare("carter.ui.grid.TableWidget", carter.ui.grid.GridWidget, {
	
		constructor: function(arguments){
			dojo.connect(this, "onRowDblClick", this.handleRowDoubleClick);
		},
		
		handleRowDoubleClick: function(event) {
			var rowdata = this.getItem(this.focus.rowIndex);
			var rowcontexturl = rowdata["context"];
			if (rowcontexturl!=null && rowcontexturl!="") {
				window.open(rowcontexturl, "");
			}
		}
	
	});
})();
