/*******************************************************************************
 * Licensed Materials - Property of IBM
 * Copyright IBM Corp. 2011, 2012.  All Rights Reserved.
 * 
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
// NLS_CHARSET=UTF-8
({
	samplePageTitle: "Welcome to the Rational Rhapsody Design Management Sample",
	createSampleTitle: "Create Rational Rhapsody Sample",
	learnMoreTitle: "Find out more:",
	learnMore1: "Learn more about Rational Rhapsody...",
	
	sampleProjectName: "Rhapsody Sample Project",
	sampleUserName: "RhapsodyDM Sample User",
	
	viewProgress: "View Progress",	
	loadingMessage: "Please wait while the sample is created...",
	createButton: "Create Sample Project",
	instructions1: "This sample allows a user to quickly create a sample project and " +
			"import the Rational Rhapsody sample model into Design Management.  " +
			"The model imported is Automated Meter Reader (AMR).", 		
	instructions2: "Your user account will need JazzAdmins permissions and a " +
			"Client Access License for Design Manager.  If you are unsure of your " +
			"user account and licensing information, visit the User Administration section " +
			"on the <a ${0}>Jazz Team Server Home</a> page to verify or make changes.",
	instructions3: "To create the sample, click the \"Create Sample Project\" button below.  ",
			
	createUserStepHeader: "Create a sample user",	
	createUserStepDescription: "Create a sample user named \"${0}\" with a Rational Rhapsody Design Manager license.",
	
	createProjectStepHeader: "Create a sample project",	
	createProjectStepDescription: "Create a new sample project with the blank process template.  " +
			"Add the current user and the sample user as members.",

	importModelStepHeader: "Import the sample model",	
	importModelStepDescription: "Import Rational Rhapsody Automated Meter Reader sample model into the newly created sample project. "  + 
		"This step might take few minutes to complete.",
	success: "A project named \"${0}\" has been created and sample model imported successfully.",
	projectLink: "View <a ${0}> Project Dashboard </a> to browse imported sample.",	
			
	unauthorizedUser: "You do not have permission to create the sample project.  Please confirm " +
			"that you have JazzAdmins permissions and a Client Access License for Design Manager.",
	errorCreatingUser: "The sample user could not be created.",
	errorCreatingProject: "The sample project could not be created.",
	errorDoingImport: "The import could not be completed.",
	
	importNotStarted: "An import was not started."
})
